## org.apache.tools.ant.taskdefs
Class Apt.Option

    java.lang.Object
      org.apache.tools.ant.taskdefs.Apt.Option

Enclosing class:
  Apt

    public static final class Apt.Option

extends java.lang.Object

The nested option element.

Constructor Summary
`Apt.Option()` Constructor for Option

Method Summary
`java.lang.String` `getName()` Get the name attribute.
`java.lang.String` `getValue()` Get the value attribute.
`void` `setName(java.lang.String name)` Set the name attribute.
`void` `setValue(java.lang.String value)` Set the value attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Apt.Option

    public Apt.Option()

  Constructor for Option

Method Detail

### getName

    public java.lang.String getName()

  Get the name attribute.

  Returns:
    the name attribute.

### setName

    public void setName(java.lang.String name)

  Set the name attribute.

  Parameters:
    `name` - the name of the option.

### getValue

    public java.lang.String getValue()

  Get the value attribute.

  Returns:
    the value attribute.

### setValue

    public void setValue(java.lang.String value)

  Set the value attribute.

  Parameters:
    `value` - the value of the option.